Bug 94920 - Rename RegisterProtocolHandler API to NavigatorContentUtils
Summary: Rename RegisterProtocolHandler API to NavigatorContentUtils
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mikhail Pozdnyakov
URL:
Keywords:
Depends on: 119239
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 04:08 PDT by Mikhail Pozdnyakov
Modified: 2013-07-30 01:55 PDT (History)
13 users (show)

See Also:


Attachments
patch (129.24 KB, patch)
2012-08-24 07:26 PDT, Mikhail Pozdnyakov
no flags Details | Formatted Diff | Diff
patch (133.63 KB, patch)
2012-08-24 08:45 PDT, Mikhail Pozdnyakov
abarth: review+
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff
to be landed (133.65 KB, patch)
2012-08-27 00:49 PDT, Mikhail Pozdnyakov
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Pozdnyakov 2012-08-24 04:08:04 PDT
RegisterProtocolHandler API should be renamed to NavigatorContentUtils API.
The rational behind renaming is:
1) Specification http://www.w3.org/TR/html5/system-state-and-capabilities.html#custom-handlers
2) RegisterProtocolHandler name seems to be confusing as starts with a verb and is more like function name.
Comment 1 Mikhail Pozdnyakov 2012-08-24 07:26:23 PDT
Created attachment 160420 [details]
patch
Comment 2 Mikhail Pozdnyakov 2012-08-24 08:45:11 PDT
Created attachment 160426 [details]
patch

Improvements comparing to preliminary patch: Fixed GTK build( hopefully :) ), fixed alphabetical order in some files.
Comment 3 Kenneth Rohde Christiansen 2012-08-24 09:32:59 PDT
Utils is often a bad name as it is very generic
Comment 4 Kenneth Rohde Christiansen 2012-08-24 09:35:36 PDT
Sorry I see that is what is used in the spec, so it is ok
Comment 5 Adam Barth 2012-08-24 15:37:12 PDT
Comment on attachment 160426 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=160426&action=review

> Source/WebCore/Modules/navigatorcontentutils/NavigatorContentUtils.idl:25
> +    ] NavigatorContentUtils {

Can we add a comment referencing the spec so folks know where the name comes from?
Comment 6 WebKit Review Bot 2012-08-24 16:08:18 PDT
Comment on attachment 160426 [details]
patch

Rejecting attachment 160426 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
Kit/chromium/third_party/yasm/source/patched-yasm --revision 134927 --non-interactive --force --accept theirs-conflict --ignore-externals' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
50>At revision 134927.

________ running '/usr/bin/python tools/clang/scripts/update.py --mac-only' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'

________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
Updating webkit projects from gyp files...

Full output: http://queues.webkit.org/results/13600304
Comment 7 Adam Barth 2012-08-24 16:10:15 PDT
Sorry, you hit a bug in the commit-queue.  I need to track it down.
Comment 8 WebKit Review Bot 2012-08-24 16:51:38 PDT
Comment on attachment 160426 [details]
patch

Rejecting attachment 160426 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
Log
Auto-merging Source/WebKit/chromium/src/WebViewImpl.cpp
Failed to merge in the changes.
Patch failed at 0001 [chromium] Convert WebLayerTreeView interface into pure virtual

When you have resolved this problem run "git rebase --continue".
If you would prefer to skip this patch, instead run "git rebase --skip".
To restore the original branch and stop rebasing run "git rebase --abort".

rebase refs/remotes/origin/master: command returned error: 1

Died at Tools/Scripts/update-webkit line 164.

Full output: http://queues.webkit.org/results/13594352
Comment 9 Adam Barth 2012-08-24 16:58:39 PDT
Comment on attachment 160426 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=160426&action=review

> ChangeLog:3
> +        bug94920

Actually, it looks like your ChangeLog is malformed.  Notice that your ChangeLog entry doesn't follow the same format as the rest.
Comment 10 Mikhail Pozdnyakov 2012-08-27 00:49:12 PDT
Created attachment 160654 [details]
to be landed

Added reference to spec into .idl file, fixed ChangeLog formatting. Adam, thanks for review!
Comment 11 WebKit Review Bot 2012-08-27 02:19:05 PDT
Comment on attachment 160654 [details]
to be landed

Clearing flags on attachment: 160654

Committed r126735: <http://trac.webkit.org/changeset/126735>
Comment 12 WebKit Review Bot 2012-08-27 02:19:11 PDT
All reviewed patches have been landed.  Closing bug.